Subject: Re: [PATCH 1/2] cgroup: Provide empty definition of task_cgroup_path()

From: Vivek Goyal <[email-masked]>
Date: Wed, 12 Mar 2014 16:13:29 -0400

On Wed, Mar 12, 2014 at 03:00:20PM -0400, David Miller wrote:
> From: Vivek Goyal <[email-masked]>
> Date: Wed, 12 Mar 2014 14:45:41 -0400
> 
> > Compilation with !CONFIG_CGROUP fails for task_cgroup_path() user. So
> > provide an emtpy definition.
> > 
> > Signed-off-by: Vivek Goyal <[email-masked]>
> > ---
> >  include/linux/cgroup.h | 2 ++
> >  1 file changed, 2 insertions(+)
> > 
> > diff --git a/include/linux/cgroup.h b/include/linux/cgroup.h
> > index 9450f02..bf40adb 100644
> > --- a/include/linux/cgroup.h
> > +++ b/include/linux/cgroup.h
> > @@ -869,6 +869,8 @@ static inline int cgroup_attach_task_all(struct task_struct *from,
> >  	return 0;
> >  }
> >  
> > +static inline int task_cgroup_path(struct task_struct *task, char *buf, size_t buflen) {return 0;}
> > +
> 
> Please properly format this just like any other function.
> 
> static inline int task_cgroup_path(struct task_struct *task, char *buf, size_t buflen)
> {
> 	eturn 0;
> }
> 
> It looked like a plain static declaration on first glance.

Sure I will.

Also, looks like I have introduced a bug in second round of changes I made. I
will fix that too and do a new posting.

Thanks
Vivek